summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorOliver Papst2017-12-20 16:19:02 +0100
committerOliver Papst2017-12-20 16:23:59 +0100
commit6f1d4be8df2300ecfff9626b256800ba354a289f (patch)
tree955302f140541c8bb776c72506a7ab9ad02daefa
downloadaur-6f1d4be8df2300ecfff9626b256800ba354a289f.tar.gz
Version v17.12 released
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD32
2 files changed, 55 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..05f74b9e4b8
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,23 @@
+pkgbase = hdtv
+ pkgdesc = Nuclear spectrum analysis tool on top of the ROOT data analysis toolkit
+ pkgver = 17.12
+ pkgrel = 1
+ url = https://gitlab.ikp.uni-koeln.de/staging/hdtv
+ arch = any
+ license = GPL
+ makedepends = libx11
+ makedepends = python-docutils
+ depends = python
+ depends = root
+ depends = libmfile
+ depends = python-setuptools
+ depends = python-scipy
+ depends = python-matplotlib
+ provides = hdtv
+ conflicts = hdtv
+ options = !emptydirs
+ source = hdtv-v17.12.tar.gz::https://gitlab.ikp.uni-koeln.de/staging/hdtv/repository/v17.12/archive.tar.gz
+ sha256sums = 19804f92f7c053ad5a00f64d5faa232f32fd36809f3cda1945b204018874c1ef
+
+pkgname = hdtv
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..80116af86e4
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Oliver Papst <opapst at ikp dot tu-darmstadt dot de>
+pkgname=hdtv
+_commit=b2c4dcbd2f0aacefac6b0951f74d8acd74a805a7
+pkgver=17.12
+pkgrel=1
+pkgdesc="Nuclear spectrum analysis tool on top of the ROOT data analysis toolkit"
+arch=('any')
+url="https://gitlab.ikp.uni-koeln.de/staging/hdtv"
+license=('GPL')
+conflicts=('hdtv')
+provides=('hdtv')
+depends=('python'
+ 'root'
+ 'libmfile'
+ 'python-setuptools'
+ 'python-scipy'
+ 'python-matplotlib')
+makedepends=('libx11' 'python-docutils')
+#checkdepends=('python-pytest')
+options=(!emptydirs)
+source=("${pkgname}-v${pkgver}.tar.gz::https://gitlab.ikp.uni-koeln.de/staging/${pkgname}/repository/v${pkgver}/archive.tar.gz")
+sha256sums=('19804f92f7c053ad5a00f64d5faa232f32fd36809f3cda1945b204018874c1ef')
+
+build() {
+ cd "${srcdir}/${pkgname}-v${pkgver}-${_commit}/doc/guide"
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-v${pkgver}-${_commit}"
+ python setup.py install --root="$pkgdir/" --optimize=1
+}